diff --git a/web/pgadmin/static/jsx/history/detail/history_error_message.jsx b/web/pgadmin/static/jsx/history/detail/history_error_message.jsx
index 0b5e27b..af77a90 100644
--- a/web/pgadmin/static/jsx/history/detail/history_error_message.jsx
+++ b/web/pgadmin/static/jsx/history/detail/history_error_message.jsx
@@ -14,7 +14,9 @@ import Shapes from '../../react_shapes';
 export default class HistoryErrorMessage extends React.Component {
 
   parseErrorMessage(message) {
-    return message.match(/ERROR:\s*([^\n\r]*)/i)[1];
+    return message.match(/ERROR:\s*([^\n\r]*)/i) ?
+           message.match(/ERROR:\s*([^\n\r]*)/i)[1] :
+           message;
   }
 
   render() {
@@ -27,4 +29,4 @@ export default class HistoryErrorMessage extends React.Component {
 
 HistoryErrorMessage.propTypes = {
   historyEntry: Shapes.historyDetail,
-};
\ No newline at end of file
+};
